Subject: bug#19909: [PATCH] Error out if with-file-notification=w32 is specified on cygwin

From: Robert Pluim <[email-masked]>
Date: Fri, 20 Feb 2015 17:44:30 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Robert Pluim <[email-masked]>
>> Date: Fri, 20 Feb 2015 16:46:48 +0100
>> 
>> >> I don't think adding w32.c into the build on cygwin is going to work.
>> >
>> > Because of the above, or because of something else?
>> 
>> Because (perhaps mistakenly) I think that calling emacs code that
>> assumes it's running under Windows native will not interact well with
>> emacs code that's running under cygwin.
>
> Sorry, maybe I'm confused, but isn't your Cygwin build configured
> "--with-w32"?  If so, it already uses some of the Windows native code.
>

Yes, but only the bits relevant to the GUI. I don't know what the rest
of it does :)